## apl-1.9.tar.gz

=== Makefile ===

# this file (either Makefile.dist or Makefile) is the inititial version of
# Makefile in the top-level directory of GNU APL. It provides a short-cut
# to those make targets that do not need ./configure, and it runs ./configure
# for the other make targets (i.e. those that need it).
# to be made without running ./configure first.
#
# If this file is Makefile, then ./configure will override it with a "proper"
# Makefile that is derived from Makefile.in.
#
# Otherwise (i.e. this file is Makefile.dist) this file is not touched so that
# the initial Makefile can be re-created (e.g.  # after make distclean) with:
#
#     cp Makefile.dist Makefile
#

# 1. targets defined in Makefile.incl can be built before ./configure
#
.PHONY: help develop develop_lib parallel parallel1
help develop develop_lib parallel parallel1:
	make -f Makefile.incl $@

# 2. all other targets shall run ./configure first
#
%:
	rm -f Makefile
	./configure
	make $@

=== debian/control ===
Source: apl
Section: devel
Priority: optional
Maintainer: Juergen Sauermann<bug-apl@gnu.org>
Build-Depends: debhelper (>= 7), autotools-dev, libgl1-mesa-glx, mime-support, locales, libc6, gawk
Standards-Version: 3.8.3
Homepage:  https://www.gnu.org/software/apl

Package: apl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: psf-unifont, libgtk-3-dev, libpcre3-dev, libfftw3-dev
Description: GNU APL
 GNU APL is a free APL interpreter. It (almost) fully implements the
 ISO/IEC Standard 13751, aka. Programming Language APL, Extended
